<?php

namespace App\Controller\Admin;


use App\Entity\Common\TaxRate;
use App\Entity\Site\Page;
use App\Entity\User\GroupUser;
use App\Entity\User\User;
use EasyCorp\Bundle\EasyAdminBundle\Config\Assets;
use EasyCorp\Bundle\EasyAdminBundle\Config\Crud;
use EasyCorp\Bundle\EasyAdminBundle\Config\MenuItem;
use Lc\SovBundle\Controller\Admin\DashboardController as SovDashboardController;

class DashboardController extends SovDashboardController
{

    public function configureMenuItems(): iterable
    {
        yield MenuItem::linkToDashboard('Tableau de bord', 'circle');

        yield MenuItem::subMenu('Utilisateurs', 'user')->setSubItems(
                [
                        MenuItem::linkToCrud('Utilisateurs', '', User::class),
                ]
        );

        yield MenuItem::linkToCrud('Pages', 'copy', Page::class);

        yield MenuItem::subMenu('Mon compte', 'user')->setSubItems(
                [
                        MenuItem::linkToRoute('Informations personnelles', '', 'sov_admin_account_profile'),
                        MenuItem::linkToRoute('Mot de passe', '', 'sov_admin_account_password'),
                ]
        );
    }
}
